Jump to content

Linux EScribe Suite Beta Thread


James

Recommended Posts

On 4/20/2020 at 12:00 AM, Wayneo said:

@pleasedeleteme It took more time for you change your username, upload a new picture, quote me and then write that request than it would to unfollow the thread and sign on at your leisure. :relaxed: Just don't sign on any longer if you wish.

* We're all under much stress during this pandemic and if people can at least talk/help someone about a somewhat relevant topic instead of staring at the walls, it's a good thing :hand_splayed:

I had already done that. Does not matter.

I have no use for this account and since i cannot delete this account myself I kindly request deletion of account and anything related in accordinance to GPDR.

Link to comment
Share on other sites

  • 2 weeks later...

So I finally got around to building a separate version of mono just for escribe, and I can confirm it works fine. For anyone else in the same boat who can't afford to downgrade system mono, start here and install mono-5.18.1.0 and gtk-sharp-2.12.45. Other versions of GTK sharp would undoubtedly work, but that's what I installed and it works fine. Then edit ~/.local/opt/evolv/escribe-suite/launch-escribe-suite and change "exec mono" to wherever your newly installed secondary mono is. Assuming you just used /opt/mono as a prefix, it'd be "exec /opt/mono/bin/mono".

Thanks to blueridgedog for the tip.

Link to comment
Share on other sites

  • 5 weeks later...
  • 2 weeks later...

By far the easiest way to run Escribe on Linux is to use a Windows 10 VM. I gave up trying to get the Mac or Linux versions working.

Virtualbox is free and available in the Ubuntu repo, among others. You'll need is the extension pack for USB passthrough support... that's also free (just not open source)

Windows 10 is technically not free, but MS provides the ISO for free and you don't really need to purchase a license or activate it. You just can't change the wallpaper unless you do. 😂

Virtualbox USB passthrough of the DNA to the VM works perfectly. I've tried it on Mac and Linux, USB 2.0 and 3.x ports.

Edited by Coyote
  • Like 1
Link to comment
Share on other sites

We're going to have to agree to disagree on that one. While a Windows VM works, it's also inviting a pile of headaches. Do what you find best for you, but you couldn't pay me to use that solution. For the average user, the easiest solution is likely downgrading system mono to a working version and holding the package. For the power user, a secondary mono installation shouldn't be that difficult to set up, and requires zero maintenance once set up.

Link to comment
Share on other sites

On 5/3/2020 at 11:43 AM, KickMeElmo said:

So I finally got around to building a separate version of mono just for escribe, and I can confirm it works fine. For anyone else in the same boat who can't afford to downgrade system mono, start here and install mono-5.18.1.0 and gtk-sharp-2.12.45. Other versions of GTK sharp would undoubtedly work, but that's what I installed and it works fine. Then edit ~/.local/opt/evolv/escribe-suite/launch-escribe-suite and change "exec mono" to wherever your newly installed secondary mono is. Assuming you just used /opt/mono as a prefix, it'd be "exec /opt/mono/bin/mono".

Thanks to blueridgedog for the tip.

Thanks - this worked for me - no need to do the other things in the "start here" link, building these two packages is enough to make escribe work again on Xubuntu 20.4 without interfering with anything else that may be using newer mono.

  • Like 1
Link to comment
Share on other sites

  • 2 weeks later...
  • 1 month later...
On 6/22/2020 at 5:22 PM, James said:

This test version fixes the USB HID issue, but it's also based off a slightly newer, intermediate version. So, there are a few bugs. Still, if you're interested, give it a try.

https://downloads.evolvapor.com/SetupEScribe2_2020-06-22_US_test.run

https://downloads.evolvapor.com/SetupEScribe2_2020-06-22_INT_test.run

This isn't working on arm with uname -m printing aarch64. Adding aarch* to the case statement on line 643 would potentially fix the issue but I am receiving an error about the archive file having an incorrect checksum.

Link to comment
Share on other sites

  • 1 month later...
On 6/22/2020 at 5:22 PM, James said:

This test version fixes the USB HID issue, but it's also based off a slightly newer, intermediate version. So, there are a few bugs. Still, if you're interested, give it a try.

https://downloads.evolvapor.com/SetupEScribe2_2020-06-22_US_test.run

https://downloads.evolvapor.com/SetupEScribe2_2020-06-22_INT_test.run

So far everything works well. The original did not. I have no web access though escribe and the way the program interpreted my system theme has left it hardly legible . All in all, great work!

P.S. Any way that I can fix these two issues?

Link to comment
Share on other sites

1 hour ago, James said:

By no web access, do you mean when you click Get Information, or elsewhere?

As for legibility, would you please take a screenshot? What theme is it / how would I configure my system to reproduce your setup?

Thanks,

James

Yes, get information doesn't work. The theme I used was flat remix dark green solid no border. Used for shell and applications through tweaks on pop os 20.04 with lightdm. 

Link to comment
Share on other sites

  • 2 months later...

@JamesThank you for supporting linux. For me, running Linux Mint 20 it was no problem to install and run this program.

Most things seam to work for me. But i have the same problem as @vGeno (Error: "Unable to launch web browser.").

You mentioned a SP24 in your post, where can i download this version, i only found V2.0 SP22.

Thx 

Ernst

 

 

Link to comment
Share on other sites

  • 3 weeks later...

Out of curiosity, if you get "Unable to launch web browser", if you enter this at a command line:

xdg-open "https://www.evolvapor.com"

What do you get?

Wondering if your computer may not have a default browser set.

Link to comment
Share on other sites

  • 2 weeks later...

I've just updated a Linux laptop with 20.1 Mint Cinnamon and installed Escribe. 

I've done previous installs of Escribe that have taken on my computers theme, I'm a dark theme type, this time my computers theme was not adopted by Escribe.

Am I asking for trouble trying to incorporate my computers theme? 

Link to comment
Share on other sites

  • 1 month later...

I would like to get Escribe working on an Rpi 4 but based on the information in this thread it seems like its going to be more of a project than I thought. Any recommendations on which distro to start with that will play reasonably well with both with the Pi & EScribe?

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...